<?php

namespace App\Controller;

use App\Repository\PostRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Attribute\Route;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpFoundation\Request;

class PostController extends AbstractController
{
    #[Route('/', name: 'app_posts')]
    public function index(PostRepository $repository, Request $request): Response
    {
        $posts = $repository->findPaginatedPosts($request->query->getInt('page',1), 10);
        return $this->render('post/index.html.twig', [
            'posts' => $posts,
            'maxPosts' => $request->query->getInt('page',1) * 10,
            'currentPage' => $request->query->getInt('maxPosts',1) / 10
        ]);
    }
}


